/*      Copyright (c) 1987 Shrier and Deihl. Licensed to Mix Software, Inc.
        Copyright (c) 1994 Mix Software, multi-user version

        cberrmsg.c - CBT cberrmsg function
*/

#include "btree.h"

/*      Defined Functions
        cberrmsg                return ptr to error message
*/
/*      cberrmsg - return text of message corresponding to errno.
        Returns pointer to message, or pointer to default message.
*/

I_EXPORT char * I_ENTRY cberrmsg(int cbt_errno)
{
   static  char    *errmsgs[] = {
      "no error",
      "cannot create a btree file",
      "cannot open a btree file",
      "no buffer pool",
      "buffer pool error",
      "out of memory",
      "error getting disk block",
      "error getting empty block",
      "error putting disk block",
      "error releasing disk block",
      "error purging disk block",
      "error flushing blocks to disk",
      "error closing LRU buffered file",
      "error purging all disk blocks",
      "error locking disk block",
      "error unlocking disk block",
      "control record parity error",
      "btree block size error",
      "invalid control record pointer",
      "invalid tree pointer",
      "invalid block or index cursor",
      "invalid key length",
      "duplicate key not allowed",
      "duplicate key/item pair",
      "tree has no index entries",
      "node in tree is corrupted",
      "key not found",
      "no mark in index",
      "file share/exclusive conflict",
      "unable to lock the file",
      "unable to unlock the file",
      "key has been deleted by another task",
      "btree is read only"
      };

   if (EC_FIRST <= cbt_errno && cbt_errno <= EC_LAST)
      return (errmsgs[cbt_errno]);
   else return("Unknown cbt error number");

} /* cberrmsg */
