/*      Copyright (c) 1996 Mix Software

        memicmp.c - compare memory (case independent)
*/

#include <ctype.h>
#include <string.h>

int memicmp(const void *s1, const void *s2, size_t len)
{
   int diff;
   while (len--) {
      if (*(unsigned char *)s1 != *(unsigned char *)s2) {
         if ((diff = toupper(*(unsigned char *)s1) 
              - toupper(*(unsigned char *)s2)) != 0)
            return diff;
         }
      ((unsigned char *)s1)++;
      ((unsigned char *)s2)++;
      }
   return 0;
   }

int stricmp(const char *s1, const char *s2)
{
   int diff;
   while (*s1 != '\0') {
      if (*s2 == '\0') return (int)*(unsigned char *)s1;
      if (*(unsigned char *)s1 != *(unsigned char *)s2) {
         if ((diff = toupper(*(unsigned char *)s1) 
              - toupper(*(unsigned char *)s2)) != 0)
            return diff;
         }
      s1++;
      s2++;
      }
   return (- ((int)*(unsigned char *)s2));
   }
