/*      Copyright (c) 1996 Mix Software, Inc.

        path_u.c - routine to resolve an absolute file name
        These routines are operating system dependent.
*/

#include <sys/param.h>
#include <unistd.h>
#include "cdtdef.h"
#include "filename.h"

/*
        Defined Functions

        abs_filename            construct absolute filename
*/
/**/

/*
   abs_filename - convert filename into absolute filename with a
         fully-qualified name

   If the absolute filename won't fit in the buffer, it is an error.

   Returns pointer to absolute filename, or NULL for error.
   */
/**/

char *abs_filename(char *filename, char *buffer, int bufsize)
{
   buffer[0] = '\0';
   /* realpath has problems with memory corruption  in some versions */
   /* - you can uncomment the next three lines if yours works */
   /* if (bufsize < _MAX_PATH) return NULL; */
   /* if (realpath(filename, buffer) != NULL) return buffer; */
   /* if (strlen(buffer) > strlen(filename)) return buffer; */
   if (strlen(filename) > bufsize) return NULL;
   strcpy(buffer, filename);
   return buffer;
   } /* abs_filename */
/**/

/* end path_u.c */
